API Reference

Detailed and full API reference helps you master Tekla development

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

AnalysisModelHandler Class

The AnalysisModelHandler class contains information related to analysis models.
Inheritance Hierarchy
SystemObject
  Tekla.Structures.AnalysisAnalysisModelHandler

Namespace:  Tekla.Structures.Analysis
Assembly:  Tekla.Structures.Analysis (in Tekla.Structures.Analysis.dll) Version: 2023.0.1
Syntax
public sealed class AnalysisModelHandler

The AnalysisModelHandler type exposes the following members.

Constructors
  NameDescription
Public methodAnalysisModelHandler
Initializes a new instance of the AnalysisModelHandler class
Top
Methods
  NameDescription
Public methodAddLoad
Adds a load to the analysis model. The ConstructionMethod must be SELECTED_PARTS, SELECTED_PARTS_AND_LOADS or FLOOR_BY_SELECTED_PARTS_AND_LOADS.
Public methodAddPart
Adds a part to the analysis model. The ConstructionMethod must be SELECTED_PARTS, SELECTED_PARTS_AND_LOADS or FLOOR_BY_SELECTED_PARTS_AND_LOADS.
Public methodGetActiveModel
Gets the active model.
Public methodRemoveLoad
Removes a load from the analysis model. The ConstructionMethod must be SELECTED_PARTS, SELECTED_PARTS_AND_LOADS or FLOOR_BY_SELECTED_PARTS_AND_LOADS.
Public methodRemovePart
Removes a part from the analysis model. The ConstructionMethod must be SELECTED_PARTS, SELECTED_PARTS_AND_LOADS or FLOOR_BY_SELECTED_PARTS_AND_LOADS.
Public methodSetActiveModel
Sets the active model. The AnalysisModelName or ID has to be set.
Top
Examples
using Tekla.Structures.Analysis;

public class Class
{
    public void Example()
    {
        Analysis Analysis = new Analysis();

        AnalysisObjectSelector AnalysisObjectSelector = Analysis.GetAnalysisObjectSelector();

        AnalysisObjectEnumerator AnalysisObjectEnumerator = AnalysisObjectSelector.GetAllObjectsWithType(AnalysisObject.AnalysisObjectEnum.ANALYSIS_MODEL, "");

        while(AnalysisObjectEnumerator.MoveNext())
        {
            AnalysisModel AnalysisModel = AnalysisObjectEnumerator.Current as AnalysisModel;

            if(AnalysisModel == null) continue;
        }
    }
}
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.